package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciRepMapper;
import com.goldenwater.slaj.acci.domain.BisAcciRep;
import com.goldenwater.slaj.acci.service.IBisAcciRepService;

/**
 * 事故报告 服务层实现
 */
@Service
public class BisAcciRepServiceImpl implements IBisAcciRepService {

    @Autowired
    private BisAcciRepMapper bisAcciRepMapper;

    /**
     * 查询事故报告信息
     * @param guid 查询条件
     * @return 事故报告信息
     */
    @Override
    public BisAcciRep selectBisAcciRepByGuid(String guid) {
        return bisAcciRepMapper.selectBisAcciRepByGuid(guid);
    }

    /**
     * 查询事故报告列表
     * @param bisAcciRep 事故报告查询条件
     * @return 事故报告集合
     */
    @Override
    public List<BisAcciRep> selectBisAcciRepList(BisAcciRep bisAcciRep) {
        return bisAcciRepMapper.selectBisAcciRepList(bisAcciRep);
    }

    /**
     * 新增事故报告
     * @param bisAcciRep 事故报告信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciRep(BisAcciRep bisAcciRep) {
        return bisAcciRepMapper.insertBisAcciRep(bisAcciRep);
    }

    /**
     * 修改事故报告
     * @param bisAcciRep 事故报告信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciRep(BisAcciRep bisAcciRep) {
        return bisAcciRepMapper.updateBisAcciRep(bisAcciRep);
    }

    /**
     * 删除事故报告
     * @param guid 事故报告主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciRepByGuid(String guid) {
        return bisAcciRepMapper.deleteBisAcciRepByGuid(guid);
    }

    /**
     * 批量删除事故报告
     * @param guids 事故报告主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciRepByGuids(String[] guids) {
        return bisAcciRepMapper.deleteBisAcciRepByGuids(guids);
    }
}
